Bug 1441789 - instant crash on startup
Summary: instant crash on startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 17:56 UTC by Przemek Klosowski
Modified: 2017-04-15 23:51 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.0-19.git20170411.3662635.fc26 dnfdragora-1.0.0-19.git20170411.3662635.fc24 dnfdragora-1.0.0-19.git20170411.3662635.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-15 18:27:59 UTC


Attachments (Terms of Use)

Description Przemek Klosowski 2017-04-12 17:56:14 UTC
Description of problem:
dnfdragora crashes on startup

Version-Release number of selected component (if applicable):
dnfdragora-1.0.0-15.git20170407.769c37d.fc25.noarch


How reproducible: every time


Steps to Reproduce:
1. dnfdragora 

Actual results:
<_M_> [ui] YPath.cc:67 YPath(): Looking for: libyui-mga-qt.so.7
<_M_> [ui] YPath.cc:138 lsDir(): Looking in /usr/lib64/yui
<_M_> [ui] YPath.cc:121 YPath(): Could NOT find libyui-mga-qt.so.7 by looking recursive inside /usr/lib64/yui
<ERR> [ui] YUIPlugin.cc:50 YUIPlugin(): Could not load UI plugin "mga-qt": libyui-mga-qt.so.7: cannot open shared object file: No such file or directory
<WRN> [ui] YUILoader.cc:156 loadExternalWidgetsPlugin(): 	THROW:    Couldn't load plug-in mga-qt
<WRN> [ui] YUILoader.cc:189 loadExternalWidgets(): 	CAUGHT:   Couldn't load plug-in mga-qt
<_M_> [ui] YPath.cc:49 YPath(): Given filename: libyui-mga-ncurses.so.7
<_M_> [ui] YSettings.cc:73 progDir(): progDir: ""
<_M_> [ui] YPath.cc:65 YPath(): Preferring subdir: 
<_M_> [ui] YPath.cc:66 YPath(): Subdir given with filename: 
<_M_> [ui] YPath.cc:67 YPath(): Looking for: libyui-mga-ncurses.so.7
<_M_> [ui] YPath.cc:138 lsDir(): Looking in /usr/lib64/yui
<_M_> [ui] YPath.cc:118 YPath(): Found libyui-mga-ncurses.so.7 in /usr/lib64/yui
<ERR> [ui] YUIPlugin.cc:50 YUIPlugin(): Could not load UI plugin "mga-ncurses": libyui-ncurses.so.7: cannot open shared object file: No such file or directory
<WRN> [ui] YUILoader.cc:156 loadExternalWidgetsPlugin(): 	THROW:    Couldn't load plug-in mga-ncurses
<WRN> [ui] YUILoader.cc:207 loadExternalWidgets(): 	CAUGHT:   Couldn't load plug-in mga-ncurses
<WRN> [ui] YUILoader.cc:208 loadExternalWidgets(): 	RETHROW:  Couldn't load plug-in mga-ncurses
terminate called after throwing an instance of 'YUIPluginException'
  what():  Couldn't load plug-in mga-ncurses
Aborted (core dumped)


Expected results: succesful run


Additional info:

Comment 1 Przemek Klosowski 2017-04-12 18:06:32 UTC
THis may be a bug in libyui: 

python3 -mpdb /bin/dnfdragora 

b /usr/lib64/python3.5/site-packages/yui.py:8434
Breakpoint 1 at /usr/lib64/python3.5/site-packages/yui.py:8434
(Pdb) r
Current recursion limit: 1000
Raised recursion limit to: 10000
...
<_M_> [qt-ui] YQUI.cc:275 initUI(): YQUI initialized. Thread ID: 0x0x7ff17d009700
> /usr/lib64/python3.5/site-packages/yui.py(8434)externalWidgetFactory()
-> return _yui.YExternalWidgets_externalWidgetFactory(*args)
(Pdb) s
<_M_> [ui] YPath.cc:49 YPath(): Given filename: libyui-qt.so.7
<_M_> [ui] YSettings.cc:73 progDir(): progDir: ""
...
<_M_> [ui] YPath.cc:118 YPath(): Found libyui-mga-ncurses.so.7 in /usr/lib64/yui
<ERR> [ui] YUIPlugin.cc:50 YUIPlugin(): Could not load UI plugin "mga-ncurses": libyui-ncurses.so.7: cannot open shared object file: No such file or directory
<WRN> [ui] YUILoader.cc:156 loadExternalWidgetsPlugin(): 	THROW:    Couldn't load plug-in mga-ncurses
<WRN> [ui] YUILoader.cc:207 loadExternalWidgets(): 	CAUGHT:   Couldn't load plug-in mga-ncurses
<WRN> [ui] YUILoader.cc:208 loadExternalWidgets(): 	RETHROW:  Couldn't load plug-in mga-ncurses
terminate called after throwing an instance of 'YUIPluginException'
  what():  Couldn't load plug-in mga-ncurses
Aborted (core dumped)

Comment 2 Björn 'besser82' Esser 2017-04-12 18:08:54 UTC
An update to libyui is on it's way and should fix that particular problem…  I'll trigger an announcement here as soon as the update is submitted.

Comment 3 Przemek Klosowski 2017-04-12 20:04:03 UTC
Björn figured out this is caused by a missing, undeclared dependecy libyui-mga-qt. I can confirm that manually installing it fixes the problem, and I understand that the updated package will specify and enforce that depenency.

Comment 4 Björn 'besser82' Esser 2017-04-12 20:55:25 UTC
Yes, the upcoming update will fix this issue using a weak-backward dependency:

  Supplements: (libyui-mga and libyui-$ui)

Where $ui is one of gtk, ncurses, qt.

Comment 5 Fedora Update System 2017-04-13 07:02:00 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.2.9-1.fc26 libyui-gtk-2.44.8-3.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-2.fc26 libyui-qt-2.47.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 6 Fedora Update System 2017-04-13 07:02:11 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.2.9-1.fc26 libyui-gtk-2.44.8-3.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-2.fc26 libyui-qt-2.47.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 7 Fedora Update System 2017-04-13 07:03:27 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.2.9-1.fc25 libyui-gtk-2.44.8-3.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-2.fc25 libyui-qt-2.47.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 8 Fedora Update System 2017-04-13 07:03:35 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.2.9-1.fc25 libyui-gtk-2.44.8-3.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-2.fc25 libyui-qt-2.47.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 9 Fedora Update System 2017-04-13 15:19:31 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-3.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-2.fc25, libyui-qt-2.47.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 10 Fedora Update System 2017-04-13 16:57:35 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.3.0-1.fc25 libyui-bindings-1.1.1-13.fc25 libyui-gtk-2.44.8-4.fc25 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-3.fc25 libyui-qt-2.47.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 11 Fedora Update System 2017-04-13 17:21:16 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-3.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-2.fc26, libyui-qt-2.47.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 12 Fedora Update System 2017-04-13 18:10:06 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.3.1-1.fc26 libyui-bindings-1.1.1-13.fc26 libyui-gtk-2.44.8-4.fc26 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-3.fc26 libyui-qt-2.47.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 13 Fedora Update System 2017-04-14 13:55:35 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24 libyui-3.3.1-1.fc24 libyui-bindings-1.1.2-1.fc24 libyui-gtk-2.44.8-4.fc24 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24 libyui-ncurses-2.48.1-3.fc24 libyui-qt-2.47.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 14 Fedora Update System 2017-04-14 23:52:18 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 15 Fedora Update System 2017-04-15 00:28:02 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.3.1-4.fc25, libyui-bindings-1.1.2-1.fc25, libyui-gtk-2.44.8-4.fc25, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-3.fc25, libyui-qt-2.47.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 16 Fedora Update System 2017-04-15 01:49:44 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.3.1-4.fc26, libyui-bindings-1.1.2-1.fc26, libyui-gtk-2.44.8-4.fc26, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-3.fc26, libyui-qt-2.47.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 17 Fedora Update System 2017-04-15 18:27:59 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.3.1-4.fc26, libyui-bindings-1.1.2-1.fc26, libyui-gtk-2.44.8-4.fc26, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-3.fc26, libyui-qt-2.47.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-04-15 22:48:57 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-04-15 23:51:56 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.3.1-4.fc25, libyui-bindings-1.1.2-1.fc25, libyui-gtk-2.44.8-4.fc25, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-3.fc25, libyui-qt-2.47.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.